xmonad-contrib-0.16: Third party extensions for xmonad

Copyright | (c) 2009 Ilya Portnov (c) 2018 Campbell Barton
License | BSD3-style (see LICENSE)
Maintainer | Campbell Barton <ideasman42@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.BinaryColumn

Contents

- Usage

Description

Provides Column layout that places all windows in one column. Each window is half the height of the previous, except for the last pair of windows.

Note: Originally based on `Column` with changes:

- Adding/removing windows doesn't resize all other windows. (last window pair exception).
- Minimum window height option.

Synopsis

- data BinaryColumn a = BinaryColumn Float Int

# Usage

This module defines layout named BinaryColumn. It places all windows in one column. Windows heights are calculated to prevent window resizing whenever a window is added or removed. This is done by keeping the last two windows in the stack the same height.

You can use this module by adding following in your `xmonad.hs`:

    import XMonad.Layout.BinaryColumn

Then add layouts to your layoutHook:

    myLayoutHook = BinaryColumn 1.0 32 ||| ...

The first value causes the master window to take exactly half of the screen, the second ensures that windows are no less than 32 pixels tall.

Shrink/Expand can be used to adjust the first value by increments of 0.1.

- 2.0 uses all space for the master window (minus the space for windows which get their fixed height).
- 0.0 gives an evenly spaced grid. Negative values reverse the sizes so the last window in the stack becomes larger.

data BinaryColumn a Source #

Constructors

BinaryColumn Float Int |

#### Instances

Instances details

LayoutClass BinaryColumn a Source # |

Instance details

Defined in XMonad.Layout.BinaryColumn

Methods

runLayout :: Workspace WorkspaceId (BinaryColumn a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (BinaryColumn a)) Source #

doLayout :: BinaryColumn a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (BinaryColumn a)) Source #

pureLayout :: BinaryColumn a -> Rectangle -> Stack a -> [(a, Rectangle)] Source #

emptyLayout :: BinaryColumn a -> Rectangle -> X ([(a, Rectangle)], Maybe (BinaryColumn a)) Source #

handleMessage :: BinaryColumn a -> SomeMessage -> X (Maybe (BinaryColumn a)) Source #

pureMessage :: BinaryColumn a -> SomeMessage -> Maybe (BinaryColumn a) Source #

description :: BinaryColumn a -> String Source #

Read (BinaryColumn a) Source # |
Instance details Defined in XMonad.Layout.BinaryColumn Methods readsPrec :: Int -> ReadS (BinaryColumn a) # readList :: ReadS [BinaryColumn a] # readPrec :: ReadPrec (BinaryColumn a) readListPrec :: ReadPrec [BinaryColumn a]
Show (BinaryColumn a) Source # |
Instance details Defined in XMonad.Layout.BinaryColumn Methods showsPrec :: Int -> BinaryColumn a -> ShowS # show :: BinaryColumn a -> String # showList :: [BinaryColumn a] -> ShowS #